package eu.xeppaka.scalalearn

import java.time.{Instant, LocalDateTime, ZoneId}
import java.time.temporal.{ChronoField, IsoFields}

object Main10 {
  def main(args: Array[String]): Unit = {
    val inst = Instant.parse("2011-02-11T12:00:00.00Z")
    val ldt = LocalDateTime.ofInstant(inst, ZoneId.of("UTC"))
    println(ldt.getDayOfWeek)
    println(ldt.get(IsoFields.WEEK_OF_WEEK_BASED_YEAR))
    println(ldt.getMonthValue)
  }
}
